import { post } from "@/request/axios.js";

export const getVideoCoursewareList = (params) =>
  post("/platform/videocourseware/list", params); // 课件资源管理视频课件列表
export const getDataCoursewareList = (params) =>
  post("/platform/datacourseware/list", params); // 课件资源管理资料课件列表
export const setVideoCoursewareJoin = (params) =>
  post("/platform/videocourseware/joinMyCourseware", params); // 课件资源管理视频课件添加
export const setDataCoursewareJoin = (params) =>
  post("/platform/datacourseware/joinMyCourseware", params); // 课件资源管理资料课件添加
export const getQuestionListByCoursewareIdAndType = (params) =>
  post("/platform/question/list", params); // 课件资源管理课件习题列表
export const getCurriculumList = (params) =>
  post("/platform/curriculum/list", params); // 课程管理-获取课程列表
export const setCurriculumJoin = (params) =>
  post("/platform/curriculum/joinMyCurriculum", params); // 课程管理添加
export const getCurriculumView = (params) =>
  post("/platform/curriculum/goEdit", params); // 课程管理查看
export const getPaperList = (params) =>
  post("/platform/stageexampaperinput/list", params); // 试卷管理列表
export const setPaperJoin = (params) =>
  post("/platform/stageexampaperinput/joinMyPaper", params); // 试卷管理添加
export const getPaperView = (params) =>
  post("/platform/stageexampaperinput/goEdit", params); // 试卷管理查看
